package com.yc.ship.module.resource.enums.guide;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum GuideCheckInTypeEnum {

    //考勤用户类型
    CHECK_IN_USER_TYPE_1(1, "导游"),
    CHECK_IN_USER_TYPE_2(2, "驾驶员"),

    CHECK_TYPE_0(0, "上午"),
    CHECK_TYPE_1(1, "下午"),
    CHECK_TYPE_2(2, "全天"),

    CHECK_IN_TYPE_1(1, "出勤"),
    CHECK_IN_TYPE_2(2, "年假"),
    CHECK_IN_TYPE_3(3, "事假"),
    CHECK_IN_TYPE_4(4, "病假"),
    CHECK_IN_TYPE_5(5, "产假"),
    CHECK_IN_TYPE_6(6, "调休"),
    ;

    private final Integer code;
    private final String name;
}
